Linksfield Developer
OverviewCube APIsTopup APIs
Old version
OverviewCube APIsTopup APIs
Old version
  1. Vshop
  • Mall Global Specification
  • Mall Business Flow
  • Mall API Signature Code Examples
  • APP Integration with Stripe SDK — Example Notes
  • Vshop
    • Card Login Verification
      POST
    • Get Available Data Plan Product List
      POST
    • Create User Order
      POST
    • Query Active and Pending Orders
      POST
    • Get Active Auto-Renewal
      POST
    • Cancel Auto-Renewal
      POST
    • Create User Order (Third-Party Payment)
      POST
  • Payment
    • Get Stripe Single Payment Authorization
      POST
    • Get Stripe Subscription Payment Authorization
      POST
    • Create Stripe Subscription / Auto-Renewal
      POST
    • Query Payment Result
      POST
    • Confirm Payment Result
      POST
  • Notification
    • Recharge Success Message Push
      POST
  • Bundle-groups
    • Add SIM Cards to a Specified Group
      POST
    • Remove SIM Cards from a Specified Group
      DELETE
    • Query SIM Card Numbers in a Specified Group
      GET
    • Query All Groups and Basic Data Plan Information
      GET
    • Retrieve Asynchronous Operation Result
      GET
  • Order
    • Query Order Details
      GET
  1. Vshop

Card Login Verification

Demo UAT
http://127.0.0.1
Demo UAT
http://127.0.0.1
POST
/singleVerify

Request

Header Params

Body Params application/json

Example
{
    "deviceCode": "89852420180910340793",
    "languageCode": "1",
    "mark": "0",
    "partnerCode": "P000270",
    "terminal": "1",
    "tradeTime": "1645683857572",
    "tradeType": "singleVerify",
    "url": "https://dist.linksfield.net/login",
    "version": "3.0",
    "sign":"ea7a3bba7e345e0b8ca7f7e3b43d6e72"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1/singleVerify' \
--header 'Content-Type: application/json' \
--data '{
    "deviceCode": "89852420180910340793",
    "languageCode": "1",
    "mark": "0",
    "partnerCode": "P000270",
    "terminal": "1",
    "tradeTime": "1645683857572",
    "tradeType": "singleVerify",
    "url": "https://dist.linksfield.net/login",
    "version": "3.0",
    "sign":"ea7a3bba7e345e0b8ca7f7e3b43d6e72"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "operateCode": "S",
    "message": "success",
    "data": {
        "matchCode": "1",
        "partnerCode": "P000270",
        "deviceCode": "89852420180910340793",
        "planType": "4",
        "pcBgimg": "",
        "phBgimg": "",
        "linkURL": "",
        "pageDisplay": [
            {
                "languageCode": "0",
                "languageName": "中文",
                "languagePriority": "1",
                "welcomeLang": "您好,欢迎来到充值中心!",
                "popupContent": ""
            },
            {
                "languageCode": "1",
                "languageName": "English",
                "languagePriority": "2",
                "welcomeLang": "Hello,Welcome to Top-up Center!",
                "popupContent": ""
            }
        ]
    }
}
Modified at 2026-06-25 02:27:00
Previous
APP Integration with Stripe SDK — Example Notes
Next
Get Available Data Plan Product List
Built with